Jump to content

MediaWiki:Common.css: Difference between revisions

From Scampsopedia
mNo edit summary
mNo edit summary
Line 5: Line 5:
   background-color: var(--background-color-interactive);
   background-color: var(--background-color-interactive);
   border: 1px solid var(--border-color-interactive);
   border: 1px solid var(--border-color-interactive);
  border-radius: 4px;
}
}



Revision as of 23:22, 10 January 2026

.scamp-link-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--background-color-interactive);
  border: 1px solid var(--border-color-interactive);
  border-radius: 4px;
}

.scamp-link-button:hover {
  background-color: var(--background-color-interactive--hover);
}

.scamp-link-button > p {
  display: contents;
  margin: 0;
}

.scamp-link-button > p > a { 
  text-align: center;
  flex: 1;
  padding: 0.75rem 1rem;
  color: var(--color-base);
  text-decoration: none;
}

.scamp-link-button:hover > p > a,
.scamp-link-button:active > p > a { 
  color: var(--color-base);
}

.scamp-link-button > p > a.external {
  background-image: none;
  padding: 0.75rem 1rem;
}